libnginx-mod-mail_1.14.0-0ubuntu1.6_i386.deb


Advertisement

Description

libnginx-mod-mail - Mail module for Nginx

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main i386
Package filename libnginx-mod-mail_1.14.0-0ubuntu1.6_i386.deb
Package name libnginx-mod-mail
Package version 1.14.0
Package release 0ubuntu1.6
Package architecture i386
Package type deb
Category httpd
Homepage http://nginx.net
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 42.90 KB
Installed size 150.00 KB
The nginx_mail module adds mail proxy support to nginx.
The module supports proxying all the standard mail protocols such as IMAP,
POP3 & SMTP.

Alternatives

Package Version Architecture Repository
libnginx-mod-mail_1.14.0-0ubuntu1.6_amd64.deb 1.14.0 amd64 Ubuntu Updates Main
libnginx-mod-mail_1.14.0-0ubuntu1_i386.deb 1.14.0 i386 Ubuntu Main
libnginx-mod-mail_1.14.0-0ubuntu1_amd64.deb 1.14.0 amd64 Ubuntu Main
libnginx-mod-mail - - -

Requires

Name Value
libc6 >= 2.4
nginx-common = 1.14.0-0ubuntu1.6

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libnginx-mod-mail_1.14.0-0ubuntu1.6_i386.deb
Source Package nginx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnginx-mod-mail deb package:
    # sudo apt-get install libnginx-mod-mail

Files

Path
/usr/lib/nginx/modules/ngx_mail_module.so
/usr/share/doc/libnginx-mod-mail/changelog.Debian.gz
/usr/share/doc/libnginx-mod-mail/copyright
/usr/share/nginx/modules-available/mod-mail.conf

Changelog

2019-08-20 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
nginx (1.14.0-0ubuntu1.6) bionic-security; urgency=medium
* No change rebuild in -security pocket now that OpenSSL 1.1.1 is
available.
2019-08-16 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
nginx (1.14.0-0ubuntu1.5) bionic; urgency=medium
* No change rebuild for bionic outside of security pocket to pick up
OpenSSL 1.1.1. (LP: #1840404)
2019-08-14 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
nginx (1.14.0-0ubuntu1.4) bionic-security; urgency=medium
* SECURITY UPDATE: HTTP/2 Data Dribble issue
- debian/patches/CVE-2019-9511.patch: limited number of DATA frames in
src/http/v2/ngx_http_v2.c, src/http/v2/ngx_http_v2.h,
src/http/v2/ngx_http_v2_filter_module.c.
- CVE-2019-9511
* SECURITY UPDATE: HTTP/2 Resource Loop / Priority Shuffling issue
- debian/patches/CVE-2019-9513.patch: limited number of PRIORITY frames
in src/http/v2/ngx_http_v2.c, src/http/v2/ngx_http_v2.h.
- CVE-2019-9513
* SECURITY UPDATE: HTTP/2 0-Length Headers Leak issue
- debian/patches/CVE-2019-9516.patch: reject zero length headers with
PROTOCOL_ERROR in src/http/v2/ngx_http_v2.c.
- CVE-2019-9516
2019-07-12 - Thomas Ward <teward@ubuntu.com>
nginx (1.14.0-0ubuntu1.3) bionic; urgency=medium
* No changes rebuild (to build against OpenSSL 1.1.1 in Bionic)
(LP: #1836366)
2018-11-06 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
nginx (1.14.0-0ubuntu1.2) bionic-security; urgency=medium
* SECURITY UPDATE: excessive memory consumption in HTTP/2 implementation
- debian/patches/CVE-2018-16843.patch: add flood detection in
src/http/v2/ngx_http_v2.c, src/http/v2/ngx_http_v2.h.
- CVE-2018-16843
* SECURITY UPDATE: excessive CPU usage in HTTP/2 implementation
- debian/patches/CVE-2018-16844.patch: limit the number of idle state
switches in src/http/v2/ngx_http_v2.c, src/http/v2/ngx_http_v2.h.
- CVE-2018-16844
* SECURITY UPDATE: infinite loop in ngx_http_mp4_module
- debian/patches/CVE-2018-16845.patch: fixed reading 64-bit atoms in
src/http/modules/ngx_http_mp4_module.c.
- CVE-2018-16845
2018-08-20 - Andres Rodriguez <andreserl@ubuntu.com>
nginx (1.14.0-0ubuntu1.1) bionic; urgency=medium
* Stable Release Update. Do not attempt to start nginx if other daemon
is binding to port 80, to prevent install failure (LP: #1782226):
- d/nginx{core,light,full,extras}.postinst: Add checks for whether
port 80 is in use or not to determine whether or not to attempt 
starting of the NGINX service during install/upgrade.
- d/control: Add dependencies to nginx-{core,light,full,extras} on
`iproute2` as the postinst scripts now use `ss` to determine if
Port 80 is open or not.
2018-04-17 - Thomas Ward <teward@ubuntu.com>
nginx (1.14.0-0ubuntu1) bionic; urgency=medium
* New upstream stable release (1.14.0)
* Upstream changelogs can be found at http://nginx.org/en/CHANGES-1.14
* There are no functional changes or new features in this release,
and the only change is a version number change.
* Remaining Ubuntu-specific changes:
- debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
- d/{control,rules,nginx-core.*}: add new binary package for main,
nginx-core, which contains only source-tarball-included modules
and no third-party modules.
- debian/tests/control: add nginx-core test.
- debian/apport/source_nginx.py: Add apport hooks for additional bug
information gathering.
- debian/nginx-common.install: Add install rule for apport hooks.

See Also

Package Description
libnginx-mod-stream_1.14.0-0ubuntu1.6_i386.deb Stream module for Nginx
libnm-dev_1.10.6-2ubuntu1.1_i386.deb GObject-based client library for NetworkManager (development files)
libnm-glib-dev_1.10.6-2ubuntu1.1_i386.deb network management framework (GLib interface)
libnm-glib-vpn-dev_1.10.6-2ubuntu1.1_i386.deb network management framework (GLib interface)
libnm-glib-vpn1_1.10.6-2ubuntu1.1_i386.deb network management framework (GLib VPN shared library)
libnm-glib4_1.10.6-2ubuntu1.1_i386.deb network management framework (GLib shared library)
libnm-gtk-dev_1.8.10-2ubuntu2_i386.deb library for wireless and mobile dialogs - development files
libnm-gtk0_1.8.10-2ubuntu2_i386.deb library for wireless and mobile dialogs (libnm-glib version)
libnm-util-dev_1.10.6-2ubuntu1.1_i386.deb network management framework (development files)
libnm-util2_1.10.6-2ubuntu1.1_i386.deb network management framework (shared library)
libnm0_1.10.6-2ubuntu1.1_i386.deb GObject-based client library for NetworkManager
libnma-dev_1.8.10-2ubuntu2_i386.deb library for wireless and mobile dialogs - development files
libnma0_1.8.10-2ubuntu2_i386.deb library for wireless and mobile dialogs (libnm version)
libnss-myhostname_237-3ubuntu10.31_i386.deb nss module providing fallback resolution for the current hostname
libnss-sss_1.16.1-1ubuntu1.4_i386.deb Nss library for the System Security Services Daemon
Advertisement
Advertisement